# Class FSG2SCIFConverter

java.lang.Object
org.jmol.adapter.writers.XtlWriter
org.jmol.adapter.writers.CIFWriter
org.jmol.adapter.writers.FSG2SCIFConverter

All Implemented Interfaces:
  `JmolWriter`

public class FSG2SCIFConverter extends CIFWriter
This class, a subclass of CIFWriter, should only be initialized dynamically and by CIFWriter. It is intended ONLY as a way of converting FindSpinGroup JSON output files loaded using the FSGOutputReader using the WRITE command. FSGOutputReader creates a Map object scfInfo in the _M model auxiliaryInfo array. When writing CIF files, this array provides the needed information to write the moment data for writing of SCIF files. As of 2025.06.07 it has been only very minimally tested.

## Field Summary

### Fields inherited from class CIFWriter

`atomLabels, atoms, bsOut, data, haveCustom, isCIF2, isP1, jmol_atoms, modelIndex, modelInfo, nops, oc, uc, vwr`

### Fields inherited from class XtlWriter

`haveUnitCell, isHighPrecision, precision, slop`

## Constructor Summary

Constructors
Constructor
Description
`FSG2SCIFConverter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`prepareAtomSet(BS bs)`
`protected int`
`writeAtomSite(SB sb)`
`protected void`
`writeHeader(SB sb)`
`protected void`
`writeOperations(SB sb)`

### Methods inherited from class CIFWriter

`append3, appendField, appendKey, set, toString, write, writeChecked, writeMultiline, writeParams`

### Methods inherited from class XtlWriter

`clean, cleanT`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FSG2SCIFConverter

public FSG2SCIFConverter()

## Method Details

### prepareAtomSet

protected void prepareAtomSet(BS bs)

Overrides:
  `prepareAtomSet` in class `CIFWriter`

### writeHeader

protected void writeHeader(SB sb)

Overrides:
  `writeHeader` in class `CIFWriter`

### writeOperations

protected void writeOperations(SB sb)

Overrides:
  `writeOperations` in class `CIFWriter`

### writeAtomSite

protected int writeAtomSite(SB sb)

Overrides:
  `writeAtomSite` in class `CIFWriter`